"""fix submit notification template

Revision ID: e387ec2747c2
Revises: 5a19a365d596
Create Date: 2022-12-02 11:45:33.884191

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = "e387ec2747c2"
down_revision = "5a19a365d596"
branch_labels = None
depends_on = None

old_template = """Cc: {{cc_email}}{{/cc_email}}
"""

new_template = """Cc: {{cc_email}}{{/cc_email}}
Subject: NRAO Workspaces Request #{{version.capability_request_id}}: Submitted
"""


def upgrade():
    op.execute(
        f"""
        UPDATE notification_templates
        SET template=replace(template, E'{old_template}', E'{new_template}')
        WHERE name='workflow-submitted'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE notification_templates
        SET template=replace(template, E'{new_template}', E'{old_template}')
        WHERE name='workflow-submitted'
        """
    )
